package com.cftech.workshop.agenda.service;

import com.cftech.core.sql.Conds;
import com.cftech.core.sql.Sort;
import com.cftech.workshop.agenda.model.*;
import com.cftech.core.generic.GenericService;

import java.util.List;
import java.util.Map;

/**
* Service
*
* @author byj
* @date: 2018-06-29 14:32
*/
public interface AgendaService extends GenericService<Agenda> {

    List<AgendaDto> selectagendascor(Conds conds, Sort sort, int page, int pageSize);

    List<AgendaDto> selectagendascore1(Conds conds, Sort sort, int page, int pageSize);

    List<Agenda> selectagendacustomiz(Conds conds, Sort sort, int page, int pageSize);

    List<AgendaSpeech> selectagendaspeech(Conds conds,Sort sort);

    List<AgendaCustomiz> agendaCustomizs(Conds conds, Sort sort, int page, int pageSize);

    int agendaCustomizcount(Conds conds);

    List<AgendaDtoB> selectspeechb(Conds conds, Sort sort, int page, int pageSize);
}
